## r-cran-pkgcond 0.1.0

=== DESCRIPTION ===
Package: pkgcond
Type: Package
Title: Classed Error and Warning Conditions
Version: 0.1.0
Authors@R: c(
    person("Andrew", "Redd", email="Andrew.Redd@hsc.utah.edu", role=c("aut", "cre")),
    person("R Documentation Task Force", role=c("aut"))
    )
Maintainer: Andrew Redd <Andrew.Redd@hsc.utah.edu>
Description: This provides utilities for creating classed error and warning
  conditions based on where the error originated.
License: GPL-2
Encoding: UTF-8
LazyData: true
Depends: R(>= 3.5.0)
Imports: methods
Suggests: covr, testthat
Enhances: assertthat
RoxygenNote: 6.1.1
Language: en-US
Collate: 'assert_that.R' 'conditions.R' 'comma_list.R' 'find_scope.R'
        'infix.R' 'skip_scope.R' 'suppress.R' 'translate.R'
URL: https://github.com/RDocTaskForce/pkgcond
BugReports: https://github.com/RDocTaskForce/pkgcond/issues
NeedsCompilation: no
Packaged: 2018-11-26 22:39:01 UTC; u0092104
Author: Andrew Redd [aut, cre],
  R Documentation Task Force [aut]
Repository: CRAN
Date/Publication: 2018-12-03 10:40:03 UTC

=== debian/changelog ===
r-cran-pkgcond (0.1.0-3) unstable; urgency=medium

  * Source only upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:52:12 +0200

r-cran-pkgcond (0.1.0-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2020 10:07:37 +0200

r-cran-pkgcond (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #956029)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 13:14:43 +0200

=== debian/control ===
Source: r-cran-pkgcond
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgcond
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgcond.git
Homepage: https://cran.r-project.org/package=pkgcond
Rules-Requires-Root: no

Package: r-cran-pkgcond
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R classed error and warning conditions
 This GNU R package provides utilities for creating classed error and warning
 conditions based on where the error originated.

## r-cran-pkgcond 0.1.1

=== DESCRIPTION ===
Package: pkgcond
Type: Package
Title: Classed Error and Warning Conditions
Version: 0.1.1
Authors@R: c(
    person("Andrew", "Redd", email="Andrew.Redd@hsc.utah.edu", role=c("aut", "cre")),
    person("R Documentation Task Force", role=c("aut"))
    )
Maintainer: Andrew Redd <Andrew.Redd@hsc.utah.edu>
Description: This provides utilities for creating classed error and warning
  conditions based on where the error originated.
License: GPL-2
Encoding: UTF-8
Depends: R(>= 3.5.0)
Imports: assertthat, methods
Suggests: covr, testthat
RoxygenNote: 7.1.1
Language: en-US
Collate: 'assert_that.R' 'conditions.R' 'comma_list.R' 'find_scope.R'
        'infix.R' 'skip_scope.R' 'suppress.R' 'translate.R'
URL: https://github.com/RDocTaskForce/pkgcond
BugReports: https://github.com/RDocTaskForce/pkgcond/issues
NeedsCompilation: no
Packaged: 2021-04-27 22:08:14 UTC; u0092104
Author: Andrew Redd [aut, cre],
  R Documentation Task Force [aut]
Repository: CRAN
Date/Publication: 2021-04-28 05:30:06 UTC

=== debian/changelog ===
r-cran-pkgcond (0.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 11:49:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               r-cran-assertthat
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgcond
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgcond.git
 Homepage: https://cran.r-project.org/package=pkgcond

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pkgcond_([-\d.]*)\.tar\.gz
